Feature: Deleting a backup plan with the CLI

  @fixture.injector
  @fixture.in_memory_database
  @fixture.cli
  Scenario Outline: Deleting an existing backup plan with the CLI
    Given the CLI arguments are "<arguments>"
    When I run the CLI
    Then the CLI executed successfully

    Examples:
      | arguments                                                  |
      | plans add --label my_label --source /mnt -d /mnt2 -d /mnt3 |
      | plans add --label label2   --source /mnt -d /mnt2 -d /mnt3 |


  @fixture.injector
  @fixture.in_memory_database
  @fixture.seeds
  @fixture.cli
  Scenario Outline: Deleting an non-existing backup plan with the CLI
    Given the CLI arguments are "<arguments>"
    And I have a backup plan with id="<existing_backup_plan_id>"
    When I run the CLI
    Then the CLI executed with an error

    Examples:
      | arguments                                                | existing_backup_plan_id              | description                |
      | plans remove one -i 8aa59e7e-dc75-459b-beb5-b710b39be583 | 8aa59e7e-dc75-459b-beb5-b710b39be583 | delete an existing plan    |
      | plans remove one -i 8aa59e7e-dc75-459b-aeb5-b710b39be583 | 8aa59e7e-dc75-459b-beb5-b710b39be512 | delete a non-existing plan |


